1. Registry
  2. Packages
  3. Oracle Cloud Infrastructure
  4. API Docs
  5. DataSafe
  6. getSubsettingPolicySubsettingRuleProcessingChainObjects
Viewing docs for Oracle Cloud Infrastructure v5.5.0
published on Thursday, Oct 22, 2026 by Pulumi
oci logo oci logo
Viewing docs for Oracle Cloud Infrastructure v5.5.0
published on Thursday, Oct 22, 2026 by Pulumi

    This data source provides the list of Subsetting Policy Subsetting Rule Processing Chain Objects in Oracle Cloud Infrastructure Data Safe service.

    Gets a list of objects of processing chain based on the specified query parameters generated for a subsetting rule. A processing chain is the relationship path that determines how a subsetting rule is applied across related tables. It is built from the selected subsetting table, subsetting rule, the chosen relatedTablesPropagation direction, and the referential relationships in the schema.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as oci from "@pulumi/oci";
    
    const testSubsettingPolicySubsettingRuleProcessingChainObjects = oci.datasafe.getSubsettingPolicySubsettingRuleProcessingChainObjects({
        subsettingPolicyId: testSubsettingPolicy.id,
        subsettingRuleKey: subsettingPolicySubsettingRuleProcessingChainObjectSubsettingRuleKey,
        isEnabledForProcessing: subsettingPolicySubsettingRuleProcessingChainObjectIsEnabledForProcessing,
    });
    
    import pulumi
    import pulumi_oci as oci
    
    test_subsetting_policy_subsetting_rule_processing_chain_objects = oci.datasafe.get_subsetting_policy_subsetting_rule_processing_chain_objects(subsetting_policy_id=test_subsetting_policy["id"],
        subsetting_rule_key=subsetting_policy_subsetting_rule_processing_chain_object_subsetting_rule_key,
        is_enabled_for_processing=subsetting_policy_subsetting_rule_processing_chain_object_is_enabled_for_processing)
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-oci/sdk/v5/go/oci/datasafe"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := datasafe.GetSubsettingPolicySubsettingRuleProcessingChainObjects(ctx, &datasafe.GetSubsettingPolicySubsettingRuleProcessingChainObjectsArgs{
    			SubsettingPolicyId:     testSubsettingPolicy.Id,
    			SubsettingRuleKey:      subsettingPolicySubsettingRuleProcessingChainObjectSubsettingRuleKey,
    			IsEnabledForProcessing: pulumi.BoolRef(subsettingPolicySubsettingRuleProcessingChainObjectIsEnabledForProcessing),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Oci = Pulumi.Oci;
    
    return await Deployment.RunAsync(() => 
    {
        var testSubsettingPolicySubsettingRuleProcessingChainObjects = Oci.DataSafe.GetSubsettingPolicySubsettingRuleProcessingChainObjects.Invoke(new()
        {
            SubsettingPolicyId = testSubsettingPolicy.Id,
            SubsettingRuleKey = subsettingPolicySubsettingRuleProcessingChainObjectSubsettingRuleKey,
            IsEnabledForProcessing = subsettingPolicySubsettingRuleProcessingChainObjectIsEnabledForProcessing,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.oci.DataSafe.DataSafeFunctions;
    import com.pulumi.oci.DataSafe.inputs.GetSubsettingPolicySubsettingRuleProcessingChainObjectsArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var testSubsettingPolicySubsettingRuleProcessingChainObjects = DataSafeFunctions.getSubsettingPolicySubsettingRuleProcessingChainObjects(GetSubsettingPolicySubsettingRuleProcessingChainObjectsArgs.builder()
                .subsettingPolicyId(testSubsettingPolicy.get("id"))
                .subsettingRuleKey(subsettingPolicySubsettingRuleProcessingChainObjectSubsettingRuleKey)
                .isEnabledForProcessing(subsettingPolicySubsettingRuleProcessingChainObjectIsEnabledForProcessing)
                .build());
    
        }
    }
    
    variables:
      testSubsettingPolicySubsettingRuleProcessingChainObjects:
        fn::invoke:
          function: oci:DataSafe:getSubsettingPolicySubsettingRuleProcessingChainObjects
          arguments:
            subsettingPolicyId: ${testSubsettingPolicy.id}
            subsettingRuleKey: ${subsettingPolicySubsettingRuleProcessingChainObjectSubsettingRuleKey}
            isEnabledForProcessing: ${subsettingPolicySubsettingRuleProcessingChainObjectIsEnabledForProcessing}
    
    terraform {
      required_providers {
        oci = {
          source = "pulumi/oci"
        }
      }
    }
    
    data "oci_data_safe_subsetting_policy_subsetting_rule_processing_chain_objects" "testSubsettingPolicySubsettingRuleProcessingChainObjects" {
      subsetting_policy_id      = testSubsettingPolicy.id
      subsetting_rule_key       = subsettingPolicySubsettingRuleProcessingChainObjectSubsettingRuleKey
      is_enabled_for_processing = subsettingPolicySubsettingRuleProcessingChainObjectIsEnabledForProcessing
    }
    

    Using getSubsettingPolicySubsettingRuleProcessingChainObjects

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getSubsettingPolicySubsettingRuleProcessingChainObjects(args: GetSubsettingPolicySubsettingRuleProcessingChainObjectsArgs, opts?: InvokeOptions): Promise<GetSubsettingPolicySubsettingRuleProcessingChainObjectsResult>
    function getSubsettingPolicySubsettingRuleProcessingChainObjectsOutput(args: GetSubsettingPolicySubsettingRuleProcessingChainObjectsOutputArgs, opts?: InvokeOutputOptions): Output<GetSubsettingPolicySubsettingRuleProcessingChainObjectsResult>
    def get_subsetting_policy_subsetting_rule_processing_chain_objects(filters: Optional[Sequence[GetSubsettingPolicySubsettingRuleProcessingChainObjectsFilter]] = None,
                                                                       is_enabled_for_processing: Optional[bool] = None,
                                                                       subsetting_policy_id: Optional[str] = None,
                                                                       subsetting_rule_key: Optional[str] = None,
                                                                       opts: Optional[InvokeOptions] = None) -> GetSubsettingPolicySubsettingRuleProcessingChainObjectsResult
    def get_subsetting_policy_subsetting_rule_processing_chain_objects_output(filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetSubsettingPolicySubsettingRuleProcessingChainObjectsFilterArgs]]]] = None,
                                                                       is_enabled_for_processing: pulumi.Input[Optional[bool]] = None,
                                                                       subsetting_policy_id: pulumi.Input[Optional[str]] = None,
                                                                       subsetting_rule_key: pulumi.Input[Optional[str]] = None,
                                                                       opts: Optional[InvokeOutputOptions] = None) -> Output[GetSubsettingPolicySubsettingRuleProcessingChainObjectsResult]
    func GetSubsettingPolicySubsettingRuleProcessingChainObjects(ctx *Context, args *GetSubsettingPolicySubsettingRuleProcessingChainObjectsArgs, opts ...InvokeOption) (*GetSubsettingPolicySubsettingRuleProcessingChainObjectsResult, error)
    func GetSubsettingPolicySubsettingRuleProcessingChainObjectsOutput(ctx *Context, args *GetSubsettingPolicySubsettingRuleProcessingChainObjectsOutputArgs, opts ...InvokeOption) GetSubsettingPolicySubsettingRuleProcessingChainObjectsResultOutput

    > Note: This function is named GetSubsettingPolicySubsettingRuleProcessingChainObjects in the Go SDK.

    public static class GetSubsettingPolicySubsettingRuleProcessingChainObjects 
    {
        public static Task<GetSubsettingPolicySubsettingRuleProcessingChainObjectsResult> InvokeAsync(GetSubsettingPolicySubsettingRuleProcessingChainObjectsArgs args, InvokeOptions? opts = null)
        public static Output<GetSubsettingPolicySubsettingRuleProcessingChainObjectsResult> Invoke(GetSubsettingPolicySubsettingRuleProcessingChainObjectsInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetSubsettingPolicySubsettingRuleProcessingChainObjectsResult> Invoke(GetSubsettingPolicySubsettingRuleProcessingChainObjectsInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetSubsettingPolicySubsettingRuleProcessingChainObjectsResult> getSubsettingPolicySubsettingRuleProcessingChainObjects(GetSubsettingPolicySubsettingRuleProcessingChainObjectsArgs args, InvokeOptions options)
    public static Output<GetSubsettingPolicySubsettingRuleProcessingChainObjectsResult> getSubsettingPolicySubsettingRuleProcessingChainObjects(GetSubsettingPolicySubsettingRuleProcessingChainObjectsArgs args, InvokeOptions options)
    public static Output<GetSubsettingPolicySubsettingRuleProcessingChainObjectsResult> getSubsettingPolicySubsettingRuleProcessingChainObjects(GetSubsettingPolicySubsettingRuleProcessingChainObjectsArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: oci:DataSafe/getSubsettingPolicySubsettingRuleProcessingChainObjects:getSubsettingPolicySubsettingRuleProcessingChainObjects
      arguments:
        # arguments dictionary
    data "oci_data_safe_get_subsetting_policy_subsetting_rule_processing_chain_objects" "name" {
        # arguments
    }

    The following arguments are supported:

    SubsettingPolicyId string
    The OCID of the subsetting policy.
    SubsettingRuleKey string
    The unique key that identifies the subsetting rule. It's numeric and unique within a subsetting policy.
    Filters List<GetSubsettingPolicySubsettingRuleProcessingChainObjectsFilter>
    IsEnabledForProcessing bool
    A filter to return the processing chain objects which are enabled for processing.
    SubsettingPolicyId string
    The OCID of the subsetting policy.
    SubsettingRuleKey string
    The unique key that identifies the subsetting rule. It's numeric and unique within a subsetting policy.
    Filters []GetSubsettingPolicySubsettingRuleProcessingChainObjectsFilter
    IsEnabledForProcessing bool
    A filter to return the processing chain objects which are enabled for processing.
    subsetting_policy_id string
    The OCID of the subsetting policy.
    subsetting_rule_key string
    The unique key that identifies the subsetting rule. It's numeric and unique within a subsetting policy.
    filters list(object)
    is_enabled_for_processing bool
    A filter to return the processing chain objects which are enabled for processing.
    subsettingPolicyId String
    The OCID of the subsetting policy.
    subsettingRuleKey String
    The unique key that identifies the subsetting rule. It's numeric and unique within a subsetting policy.
    filters List<GetSubsettingPolicySubsettingRuleProcessingChainObjectsFilter>
    isEnabledForProcessing Boolean
    A filter to return the processing chain objects which are enabled for processing.
    subsettingPolicyId string
    The OCID of the subsetting policy.
    subsettingRuleKey string
    The unique key that identifies the subsetting rule. It's numeric and unique within a subsetting policy.
    filters GetSubsettingPolicySubsettingRuleProcessingChainObjectsFilter[]
    isEnabledForProcessing boolean
    A filter to return the processing chain objects which are enabled for processing.
    subsetting_policy_id str
    The OCID of the subsetting policy.
    subsetting_rule_key str
    The unique key that identifies the subsetting rule. It's numeric and unique within a subsetting policy.
    filters Sequence[GetSubsettingPolicySubsettingRuleProcessingChainObjectsFilter]
    is_enabled_for_processing bool
    A filter to return the processing chain objects which are enabled for processing.
    subsettingPolicyId String
    The OCID of the subsetting policy.
    subsettingRuleKey String
    The unique key that identifies the subsetting rule. It's numeric and unique within a subsetting policy.
    filters List<Property Map>
    isEnabledForProcessing Boolean
    A filter to return the processing chain objects which are enabled for processing.

    getSubsettingPolicySubsettingRuleProcessingChainObjects Result

    The following output properties are available:

    Id string
    The provider-assigned unique ID for this managed resource.
    SubsettingPolicyId string
    SubsettingRuleKey string
    SubsettingRuleProcessingChainObjectsCollections List<GetSubsettingPolicySubsettingRuleProcessingChainObjectsSubsettingRuleProcessingChainObjectsCollection>
    The list of subsetting_rule_processing_chain_objects_collection.
    Filters List<GetSubsettingPolicySubsettingRuleProcessingChainObjectsFilter>
    IsEnabledForProcessing bool
    Indicates if this object/edge is enabled for processing
    Id string
    The provider-assigned unique ID for this managed resource.
    SubsettingPolicyId string
    SubsettingRuleKey string
    SubsettingRuleProcessingChainObjectsCollections []GetSubsettingPolicySubsettingRuleProcessingChainObjectsSubsettingRuleProcessingChainObjectsCollection
    The list of subsetting_rule_processing_chain_objects_collection.
    Filters []GetSubsettingPolicySubsettingRuleProcessingChainObjectsFilter
    IsEnabledForProcessing bool
    Indicates if this object/edge is enabled for processing
    id string
    The provider-assigned unique ID for this managed resource.
    subsetting_policy_id string
    subsetting_rule_key string
    subsetting_rule_processing_chain_objects_collections list(object)
    The list of subsetting_rule_processing_chain_objects_collection.
    filters list(object)
    is_enabled_for_processing bool
    Indicates if this object/edge is enabled for processing
    id String
    The provider-assigned unique ID for this managed resource.
    subsettingPolicyId String
    subsettingRuleKey String
    subsettingRuleProcessingChainObjectsCollections List<GetSubsettingPolicySubsettingRuleProcessingChainObjectsSubsettingRuleProcessingChainObjectsCollection>
    The list of subsetting_rule_processing_chain_objects_collection.
    filters List<GetSubsettingPolicySubsettingRuleProcessingChainObjectsFilter>
    isEnabledForProcessing Boolean
    Indicates if this object/edge is enabled for processing
    id string
    The provider-assigned unique ID for this managed resource.
    subsettingPolicyId string
    subsettingRuleKey string
    subsettingRuleProcessingChainObjectsCollections GetSubsettingPolicySubsettingRuleProcessingChainObjectsSubsettingRuleProcessingChainObjectsCollection[]
    The list of subsetting_rule_processing_chain_objects_collection.
    filters GetSubsettingPolicySubsettingRuleProcessingChainObjectsFilter[]
    isEnabledForProcessing boolean
    Indicates if this object/edge is enabled for processing
    id String
    The provider-assigned unique ID for this managed resource.
    subsettingPolicyId String
    subsettingRuleKey String
    subsettingRuleProcessingChainObjectsCollections List<Property Map>
    The list of subsetting_rule_processing_chain_objects_collection.
    filters List<Property Map>
    isEnabledForProcessing Boolean
    Indicates if this object/edge is enabled for processing

    Supporting Types

    GetSubsettingPolicySubsettingRuleProcessingChainObjectsFilter

    Name string
    Values List<string>
    Regex bool
    Name string
    Values []string
    Regex bool
    name string
    values list(string)
    regex bool
    name String
    values List<String>
    regex Boolean
    name string
    values string[]
    regex boolean
    name str
    values Sequence[str]
    regex bool
    name String
    values List<String>
    regex Boolean

    GetSubsettingPolicySubsettingRuleProcessingChainObjectsSubsettingRuleProcessingChainObjectsCollection

    items list(object)
    An array of subsetting processing chain summary objects.
    items List<Property Map>
    An array of subsetting processing chain summary objects.

    GetSubsettingPolicySubsettingRuleProcessingChainObjectsSubsettingRuleProcessingChainObjectsCollectionItem

    ApproximateRowCountBeforeSubsetting string
    The approximate count of rows in the subsetting table before subsetting
    ChildColumns List<string>
    Unique identifiers identifying the child columns in the relation.
    ChildObjectName string
    The name of the child subsetting table
    ChildSchemaName string
    The database schema that contains the child subsetting table
    EstimatedRowCountAfterSubsetting string
    The estimated count of rows in the subsetting table after subsetting
    IsEnabledForProcessing bool
    A filter to return the processing chain objects which are enabled for processing.
    Key string
    The unique key that identifies a subsetting relation processed. The key is numeric and unique within a processing order
    ParentColumns List<string>
    Unique identifiers identifying the parents columns in the relation.
    ParentObjectName string
    The name of the parent subsetting table
    ParentSchemaName string
    The database schema that contains the parent subsetting table
    PropagationImpact string
    The impact on the related table due to the processing of subsetting rule
    SubsettingSchemaRelationKey string
    The unique key that identifies a subsetting relation.
    ApproximateRowCountBeforeSubsetting string
    The approximate count of rows in the subsetting table before subsetting
    ChildColumns []string
    Unique identifiers identifying the child columns in the relation.
    ChildObjectName string
    The name of the child subsetting table
    ChildSchemaName string
    The database schema that contains the child subsetting table
    EstimatedRowCountAfterSubsetting string
    The estimated count of rows in the subsetting table after subsetting
    IsEnabledForProcessing bool
    A filter to return the processing chain objects which are enabled for processing.
    Key string
    The unique key that identifies a subsetting relation processed. The key is numeric and unique within a processing order
    ParentColumns []string
    Unique identifiers identifying the parents columns in the relation.
    ParentObjectName string
    The name of the parent subsetting table
    ParentSchemaName string
    The database schema that contains the parent subsetting table
    PropagationImpact string
    The impact on the related table due to the processing of subsetting rule
    SubsettingSchemaRelationKey string
    The unique key that identifies a subsetting relation.
    approximate_row_count_before_subsetting string
    The approximate count of rows in the subsetting table before subsetting
    child_columns list(string)
    Unique identifiers identifying the child columns in the relation.
    child_object_name string
    The name of the child subsetting table
    child_schema_name string
    The database schema that contains the child subsetting table
    estimated_row_count_after_subsetting string
    The estimated count of rows in the subsetting table after subsetting
    is_enabled_for_processing bool
    A filter to return the processing chain objects which are enabled for processing.
    key string
    The unique key that identifies a subsetting relation processed. The key is numeric and unique within a processing order
    parent_columns list(string)
    Unique identifiers identifying the parents columns in the relation.
    parent_object_name string
    The name of the parent subsetting table
    parent_schema_name string
    The database schema that contains the parent subsetting table
    propagation_impact string
    The impact on the related table due to the processing of subsetting rule
    subsetting_schema_relation_key string
    The unique key that identifies a subsetting relation.
    approximateRowCountBeforeSubsetting String
    The approximate count of rows in the subsetting table before subsetting
    childColumns List<String>
    Unique identifiers identifying the child columns in the relation.
    childObjectName String
    The name of the child subsetting table
    childSchemaName String
    The database schema that contains the child subsetting table
    estimatedRowCountAfterSubsetting String
    The estimated count of rows in the subsetting table after subsetting
    isEnabledForProcessing Boolean
    A filter to return the processing chain objects which are enabled for processing.
    key String
    The unique key that identifies a subsetting relation processed. The key is numeric and unique within a processing order
    parentColumns List<String>
    Unique identifiers identifying the parents columns in the relation.
    parentObjectName String
    The name of the parent subsetting table
    parentSchemaName String
    The database schema that contains the parent subsetting table
    propagationImpact String
    The impact on the related table due to the processing of subsetting rule
    subsettingSchemaRelationKey String
    The unique key that identifies a subsetting relation.
    approximateRowCountBeforeSubsetting string
    The approximate count of rows in the subsetting table before subsetting
    childColumns string[]
    Unique identifiers identifying the child columns in the relation.
    childObjectName string
    The name of the child subsetting table
    childSchemaName string
    The database schema that contains the child subsetting table
    estimatedRowCountAfterSubsetting string
    The estimated count of rows in the subsetting table after subsetting
    isEnabledForProcessing boolean
    A filter to return the processing chain objects which are enabled for processing.
    key string
    The unique key that identifies a subsetting relation processed. The key is numeric and unique within a processing order
    parentColumns string[]
    Unique identifiers identifying the parents columns in the relation.
    parentObjectName string
    The name of the parent subsetting table
    parentSchemaName string
    The database schema that contains the parent subsetting table
    propagationImpact string
    The impact on the related table due to the processing of subsetting rule
    subsettingSchemaRelationKey string
    The unique key that identifies a subsetting relation.
    approximate_row_count_before_subsetting str
    The approximate count of rows in the subsetting table before subsetting
    child_columns Sequence[str]
    Unique identifiers identifying the child columns in the relation.
    child_object_name str
    The name of the child subsetting table
    child_schema_name str
    The database schema that contains the child subsetting table
    estimated_row_count_after_subsetting str
    The estimated count of rows in the subsetting table after subsetting
    is_enabled_for_processing bool
    A filter to return the processing chain objects which are enabled for processing.
    key str
    The unique key that identifies a subsetting relation processed. The key is numeric and unique within a processing order
    parent_columns Sequence[str]
    Unique identifiers identifying the parents columns in the relation.
    parent_object_name str
    The name of the parent subsetting table
    parent_schema_name str
    The database schema that contains the parent subsetting table
    propagation_impact str
    The impact on the related table due to the processing of subsetting rule
    subsetting_schema_relation_key str
    The unique key that identifies a subsetting relation.
    approximateRowCountBeforeSubsetting String
    The approximate count of rows in the subsetting table before subsetting
    childColumns List<String>
    Unique identifiers identifying the child columns in the relation.
    childObjectName String
    The name of the child subsetting table
    childSchemaName String
    The database schema that contains the child subsetting table
    estimatedRowCountAfterSubsetting String
    The estimated count of rows in the subsetting table after subsetting
    isEnabledForProcessing Boolean
    A filter to return the processing chain objects which are enabled for processing.
    key String
    The unique key that identifies a subsetting relation processed. The key is numeric and unique within a processing order
    parentColumns List<String>
    Unique identifiers identifying the parents columns in the relation.
    parentObjectName String
    The name of the parent subsetting table
    parentSchemaName String
    The database schema that contains the parent subsetting table
    propagationImpact String
    The impact on the related table due to the processing of subsetting rule
    subsettingSchemaRelationKey String
    The unique key that identifies a subsetting relation.

    Package Details

    Repository
    oci pulumi/pulumi-oci
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the oci Terraform Provider.
    oci logo oci logo
    Viewing docs for Oracle Cloud Infrastructure v5.5.0
    published on Thursday, Oct 22, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial